## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate libbpf-rs

Name:           rust-libbpf-rs
Version:        0.23.1
Release:        %autorelease
Summary:        Safe, idiomatic, and opinionated wrapper around libbpf-sys

License:        LGPL-2.1-only OR BSD-2-Clause
URL:            https://crates.io/crates/libbpf-rs
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump probe from 0.3 to 0.5
Patch:          libbpf-rs-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Libbpf-rs is a safe, idiomatic, and opinionated wrapper around libbpf-
sys.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/LICENSE.BSD-2-Clause
%license %{crate_instdir}/LICENSE.LGPL-2.1
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+static-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+static-devel %{_description}

This package contains library source intended for building other packages which
use the "static" feature of the "%{crate}" crate.

%files       -n %{name}+static-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+vendored-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+vendored-devel %{_description}

This package contains library source intended for building other packages which
use the "vendored" feature of the "%{crate}" crate.

%files       -n %{name}+vendored-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# most of these tests fail, RLIMIT_MEMLOCK does not work in mock
rm tests/test.rs
rm tests/test_tc.rs
rm tests/test_xdp.rs
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun May 19 2024 Michel Lind <salimma@fedoraproject.org> - 0.23.1-1
- Update to 1.4.1 (rhbz#2256880)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 29 2023 Michel Lind <salimma@fedoraproject.org> - 0.22.0-1
- Update to 0.22.0

* Wed Aug 02 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.21.2-1
- Update to 0.21.2

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jan 30 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.19.1-5
- Unify spec so novendor is toggled based on Fedora release version

* Fri Jan 27 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.19.1-4
- Use libbpf-sys with vendored libbpf, as the system libbpf is too old

* Fri Jan 27 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.19.1-3
- Remove unused patches

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Dec 09 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.19.1-1
- Update to 0.19.1

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Feb 16 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.16.0-3
- Remove old patch

* Wed Feb 16 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.16.0-2
- Update patch to allow building against libbpf-sys-0.4.0-2

* Tue Feb 15 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.16.0-1
- Update to 0.16.0 (resolves: rhbz#2028952)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 11 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.14.0-1
- Update to 0.14.0; Fixes: RHBZ#2022163

* Sun Oct 24 2021 Davide Cavalca <davide@cavalca.name> - 0.13.0-2
- Downgrade libbpf-sys to 0.4.0-2 on Fedora 35 and earlier

* Thu Oct 14 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.13.0-1
- Update to 0.13.0; Fixes: RHBZ#1989690

* Fri Jul 30 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.11.2-2
- Backport novendor feature from PR#125

* Thu Jul 29 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.11.2-1
- Update to 0.11.2; Fixes: RHBZ#1983187

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jun 26 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.11.1-1
- Update to 0.11.1

* Thu Jun 17 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.11.0-2
- Bump strum_macros to 0.21

* Fri Jun 04 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.11.0-1
- Update to 0.11.0
- Backport PR#112 to bump libbpf-sys to 0.4.0-1

* Wed Jun 02 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.10.0-1
- Update to 0.10.0

* Tue May 11 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.9.2-1
- Update to 0.9.3

* Tue May 11 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.9.2-1
- Update to 0.9.2
- Install README

* Mon May 10 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.9.1-1
- Update to 0.9.1
- Update build requires
- Install license files

* Fri May 07 10:04:18 PDT 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.9.0-1
- Initial package

## END: Generated by rpmautospec
